List Storage instances

gethttps://app.mk.io/api/v1/projects/:project_name/media/storage

Listing, Sorting and Filtering Storage Instances

This endpoint returns the list of storage instances in the specified project.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: created, createdBy, id, name, privateLinkServiceConnectionStatus, type, updated, updatedBy, url

Filtering

The $filter query parameter allows for storage instances to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: cloud/name, cloud/region/name, created, createdBy, createdByEmail, createdByName, id, name, privateLinkServiceConnectionStatus, region, type, updated, updatedBy, updatedByEmail, updatedByName, url

Examples:

?$top=10 - Returns only the first 10 storage instances from the list.

?$orderby=name desc - Sorts storage instances by name in descending order.

?$filter=name eq 'descriptive name' - Returns storage instances that match the provided name.

?$orderby=created desc - Sorts storage instances by creation date in descending order.

?$filter=created ge 2021-01-01T00:00:00Z - Returns storage instances created after January 1, 2021.

RBAC Capability Required: infra.storage.get

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired

Query parameters

$orderbystringOptional
Specifies the key by which the result collection should be ordered.
$filterstringOptional
Restricts the set of items returned.
$topstringOptional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptokenstringOptional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

Response

200A list of Storage instances

Loading schema details…

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…